Loading...
Searching...
No Matches
lirc_options.c File Reference

Implements lirc_options.h. More...

`#include <getopt.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include "ciniparser.h"`
`#include "lirc_options.h"`
`#include "lirc_log.h"`

Go to the source code of this file.

## Functions

loglevel_t | options_set_loglevel (const char *optarg)
| Parse and store a loglevel, returning value (possibly LIRC_BADLEVEL).
void | options_set_opt (const char *key, const char *value)
const char * | options_getstring (const char *const key)
int | options_getint (const char *const key)
int | options_getboolean (const char *const key)
void | options_load (int argc, char **const argv, const char *path_arg, void(*parse_options)(int, char **const))
loglevel_t | options_get_app_loglevel (const char *app)
| Return loglevel based on (falling priority).
void | options_add_defaults (const char *const defaults[])
void | options_unload (void)

## Variables

dictionary * | lirc_options = NULL

## Detailed Description

Implements lirc_options.h.

Definition in file lirc_options.c.

## Function Documentation

## options_add_defaults()

void options_add_defaults | ( | const char *const | defaults[] | ) |

Definition at line 187 of file lirc_options.c.

## options_get_app_loglevel()

loglevel_t options_get_app_loglevel | ( | const char * | app | ) |

Return loglevel based on (falling priority).

- LIRC_LOGLEVEL in environment,
- If app is non-NULL the 'debug' value in the [app]section
- The 'debug' value in the [lircd] options file section.
- The hardcoded default LIRC_DEBUG

Definition at line 160 of file lirc_options.c.

## options_getboolean()

int options_getboolean | ( | const char *const | key | ) |

Definition at line 73 of file lirc_options.c.

## options_getint()

int options_getint | ( | const char *const | key | ) |

Definition at line 67 of file lirc_options.c.

## options_getstring()

const char * options_getstring | ( | const char *const | key | ) |

Definition at line 61 of file lirc_options.c.

## options_load()

void options_load | ( | int | argc,
|  | char **const | argv,
|  | const char * | path_arg,
|  | void(* | parse_options )(int, char **const) )

Definition at line 111 of file lirc_options.c.

## options_set_loglevel()

loglevel_t options_set_loglevel | ( | const char * | optarg | ) |

Parse and store a loglevel, returning value (possibly LIRC_BADLEVEL).

Definition at line 40 of file lirc_options.c.

## options_set_opt()

void options_set_opt | ( | const char * | key,
|  | const char * | value )

Definition at line 54 of file lirc_options.c.

## options_unload()

void options_unload | ( | void |  | ) |

Definition at line 201 of file lirc_options.c.

## Variable Documentation

## lirc_options

dictionary* lirc_options = NULL

Definition at line 31 of file lirc_options.c.